function[FFTReady,FFTSize] = ZeroPad(windowedFrame,zeroPad);
%[FFTReady,FFTSize] = ZeroPad(windowedFrame,zeroPad);
%This function takes a windowed frame of any length
%and returns an FFT 'ready' zero-padded vector
%FFTSize is the number of points in the FFTReady vector
%and is a power of 2
%similar to ZeroPadPhase but does not produce zero-phase window

N = length(windowedFrame);
FFTSize = 2^(floor(log2(N * zeroPad)));

FFTReady = zeros(FFTSize,1);
FFTReady(1:N) = windowedFrame(1:N);


