function[FFTReady,FFTSize] = zeroPadPhase(windowedFrame,zeroPad);
%[FFTReady,FFTSize] = zeroPadPhase(windowedFrame,zeroPad);
%This function takes a windowed frame of any length
%and returns an FFT 'ready' zero-padded, zero-phase vector
%FFTSize is the number of points in the FFTReady vector
%and is a power of 2

N = length(windowedFrame);
FFTSize = 2^(floor(log2(N * zeroPad)));

zeroPadded = zeros(FFTSize,1);
zeroPadded(1:N) = windowedFrame(1:N);

%perform shift for zero-phase windowing
midPoint = floor(N/2);
idx = [midPoint+1:N N+1:FFTSize 1:midPoint];
FFTReady = zeroPadded(idx);
